=== debian/changelog ===
runit (2.2.0-3.0antix4) unstable; urgency=medium

  * remove debian/contrib man pages
  * don't update grub in chroot

 -- anticapitalista <antix@operamail.com>  Wed, 08 Oct 2025 13:30:08 +0300

runit (2.2.0-3.0antix3) unstable; urgency=medium

  * only build getty-run, runit-antix and runit-init-antix

 -- anticapitalista <antix@operamail.com>  Mon, 06 Oct 2025 20:49:36 +0300

runit (2.2.0-3.0antix2) unstable; urgency=medium

  * Updated maintaner scripts to skip update-grub on Live/Frugal systems

 -- anticapitalista <antix@operamail.com>  Fri, 03 Oct 2025 17:26:29 +0300

runit (2.2.0-3.0antix1) unstable; urgency=medium

  [ ProwlerGr ]
  * New upstream release, rebased on Debian Sid
  * Added runit-init-diversity as metapackage:
    - Added Replaces:runit in control file 
    - Prefer binary instead of symlink of runit-init under /lib/runit.

  [ anticapitalista ]
  * include runit-antix and runit-init-antix 

 -- anticapitalista <antix@operamail.com>  Tue, 09 Sep 2025 15:53:35 +0300

runit (2.2.0-3) unstable; urgency=medium

  * getty-run: fix tests for busy getty device (Closes: #1103152)
  * try to improve NEWS for bookworm to trixie upgrade
  * d/copyright: update FSF address

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 26 Apr 2025 22:25:25 +0200

runit (2.2.0-2) unstable; urgency=medium

  * stage 3: raise shutdown timeout to 25 sec
  * test /etc/runit/stopit instead of /run/runit.stopit
  * temporary add a compatibility symlink for runit-init
  * sysv-override:
    - update readme file
    - map force-reload to reload
  * runit-init: add protected: yes
  * invoke-run: add experimental support for xchpst (Closes: #1093545)
  * runit: breaks with xchpst << 0.5.0-1~
  * fix FTBFS on alpha due to a race in rescan-test

 -- Lorenzo Puliti <plorenzo@disroot.org>  Fri, 21 Mar 2025 11:53:56 +0100

runit (2.2.0-1.0experimental1) UNRELEASED; urgency=medium

  * New upstream release, rebased on Debian Sid
  * Added runit-init-diversity as metapackage.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 29 Mar 2025 22:22:22 +1000

runit (2.2.0-1) unstable; urgency=medium

  [ Lorenzo Puliti ]
  * New upstream version 2.2.0
     - see /usr/share/doc/runit/changelog.gz
  * update upstream metadata
  * d/copyright: update years
  * d/patches (quilt):
    - drop patches merged or rejected upstream
    - squash and refresh patches for runsvdir-rescan-feature
    - refresh, squash and rework forced rescan test
    - refresh remaining patches
    - sigpwr, sigalrm patches: reset sigint in stage 1 and 3
      (Closes: #1099752)
  * add missing conflicts: finit-sysv, daemontools-run
  * salsa CI: disable missing breaks test, it fails with
     diversions
  * init-switch test: try to fix apt command line, mark as flaky
    (Closes: #1099717)
  * bump S-V to 4.7.2, no changes required
  * runit-init: mask duplicate sysv scripts
  * test for pkgblock files in stage 1 and run_sysv_scripts
  * test for pkgblok files in default policy (override-sysv)
  * run_sysv_scripts: test services links with -L

  [ Andrew Bower ]
  * stop build output interleaving leading to blhc false positives
    (Closes: #1092623)
  * pass all build flags through once.
  * build contrib and write options from same dh target for stable canaries

 -- Lorenzo Puliti <plorenzo@disroot.org>  Fri, 07 Mar 2025 18:39:40 +0100

runit (2.1.2-61) unstable; urgency=medium

  [ Lorenzo Puliti ]
  * NEWS for runit, runit-init users
  * export PATH in stage 1,2,3. (Closes: #1068922)
    + Thanks to Martin Steigerwald <martin@lichtvoll.de>
  * stage1, shutdown.c: write boot and shutdown
     wtmpdb entry (Closes: #992648)
  * service, invoke-rc.d:
    - import from i-s-h 1.67, add runit patches
    - runit-init: divert helpers and manpages
    - adjust d/clean, d/rules clean target
    - update copyright for init-helpers
  * sysv override:
     - change sysv script override mechanism (Closes: #1071395)
     - add /etc/runit/override-sysv.d/README
     - finish-exec: remove *.pkgrunit override files
     - run_sysv_script: adjust (this partially reverts the fix
       for #1022837, other workarounds are provided)
  * invoke-run:
     - print a message about starting runscript when in
       verbose mode
     - update wtime file at service startup
     - update manpage
  * trigger_vs:
     - skip upgrade iteration if binary not installed
     - test for runsvdir before SIGALRM
  * move policy-rc.d layer from invoke-run to trigger_sv
  * sync available services in stage2, before runsvdir
  * cpsv: fix make_svlinks for log's run
  * adjust autopkgtest/upstream-testsuite
  * fix d/runit.install
  * update lintian overrides
  * d/patches (quilt):
     -  drop move-comunication-files patch, not really needed
     -  drop patch to disable sv test, issue fixed on Hurd
        side (see #1009712). (Closes: #1003891)
        + Thanks to João Pedro Malhado, Samuel Thibault
  * dh-sysuser: use a sysusers.d control file, drop
     our legacy control file (Closes: #981799)

  [ Andrew Bower ]
  * shutdown.c : accept but ignore -H, -P and message
     arguments (Closes: #1087001)

  [ наб ]
  * Drop B-D on dh-buildinfo (Closes: #1090770)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 25 Jan 2025 11:28:00 +0100

runit (2.1.2-60) unstable; urgency=medium

  * Try to fix piupart purge test failure
  * do not fail at preinst if /etc/service is not a symlink.
     + Thanks to Jamie Heilman  (Closes: #1069267)
  * trigger_sv:
    - fix shadowing logic (Closes: #1069592)
    - fix indentation
  * cpsv: stop using sv_wtime
  * runit-run: use runsvdir-start in place of 2
  * runit: keep only init-related code in stage 2
  * Fix FTBFS with gcc-14 (Closes: #1075484)
  * remove obsolete conffiles
  * move aliased files from / to /usr (DEP17) (Closes: #1073780)
  * move runit-init under /usr/sbin
  * bump S-V to 4.7.0, no changes required
  * NEWS for runit-run users:
     - no longer uses  /etc/runit/2
  * NEWS for runit users:
    - recommend /etc/service as symlink

