=== debian/control ===
Source: runit
Section: admin
Maintainer: Lorenzo Puliti <plorenzo@disroot.org>
Priority: optional
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: http://smarden.org/runit/
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               dh-exec,
               dh-runit (>= 2.10.2),
               dh-sysuser,
               doc-base,
Vcs-Browser: https://salsa.debian.org/debian/runit
Vcs-Git: https://salsa.debian.org/debian/runit.git

Package: runit-antix
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: runit-init, runit
Breaks: runit-init, runit
Recommends: runit-init-antix
Suggests: socklog
Description: system-wide service supervision
 runit is a collection of tools to provide system-wide service supervision
 and to manage services.  Contrary to sysv init, it not only cares about
 starting and stopping services, but also supervises the service daemons
 while they are running.  Amongst other things, it provides a reliable
 interface to send signals to service daemons without the need for pid-files,
 and a log facility with automatic log file rotation and disk space limits.
 .
 runit service supervision can run under sysv init, systemd or replace the init
 system completely. Complete init replacement is provided by 'runit-init'
 package. Users that want to take advantage of runit supervision under systemd
 or sysv init can directly install the 'runit-run' package.

Package: getty-run
Architecture: all
Breaks: ${runit:Breaks}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: psmisc
Suggests: fgetty
Description: runscripts to supervise getty processes
 runit is a collection of tools to provide system-wide service supervision
 and to manage services.  Contrary to sysv init, it not only cares about
 starting and stopping services, but also supervises the service daemons
 while they are running.  Amongst other things, it provides a reliable
 interface to send signals to service daemons without the need for pid-files,
 and a log facility with automatic log file rotation and disk space limits.
 .
 This package provides scripts to supervise getty processes, allowing
 local login.

Package: runit-init-antix
Architecture: all
Depends: runit-antix, ${misc:Depends},
 ${shlibs:Depends}, getty-run, runit-service-boot-module, init-diversity-tools, grub-init-diversity, runit-service-seatd 
Recommends: runit-service-manager
Breaks: ${runit:Breaks}
Replaces: systemd-sysv, sysvinit-core, runit, runit-init
Conflicts: systemd-sysv, sysvinit-core, libnss-systemd, runit, runit-init
Description: system-wide service supervision (as init system)
 runit is a collection of tools to provide system-wide service supervision
 and to manage services.  Contrary to sysv init, it not only cares about
 starting and stopping services, but also supervises the service daemons
 while they are running.  Amongst other things, it provides a reliable
 interface to send signals to service daemons without the need for pid-files,
 and a log facility with automatic log file rotation and disk space limits.
 .
 This package provides /sbin/init, that boots your system and starts runit.
