=== debian/watch ===
version=4
https://smarden.org/runit/install.html runit-([.0-9]+)\.tar\.gz
