=== debian/changelog ===
runit (2.3.0-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable runit-init, the initscripts and insserv runtime
      dependency are not satisfiable since SysV removal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Feb 2026 08:41:39 +0100

runit (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
       (LP: #399634)
  * d/patches:
      - drop patches accepted or rejected upstream
      - refresh remaining quilt patches
  * getty-run:
     - add support for Hurd
     - use --noclear on tty1
  * runit-init: add experimental support for Hurd (Closes: #1101895)
     - install /etc/hurd/runsystem.runit
     - remove runsystem.runit at purge on Hurd
  * testsuite: trigger-sv : add test for user services
  * trigger_sv: fix user services (enable and restart)
  * svlogd/run: fix user services use case
  * cpsv: add i command

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sun, 08 Feb 2026 13:11:14 +0100

runit (2.2.0-7ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable runit-init, the initscripts and insserv runtime
      dependency are not satisfiable since SysV removal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Jan 2026 10:44:36 +0100

runit (2.2.0-7) unstable; urgency=medium

  * runit-init: keep diverted manpages usable (Closes: #1107917)
  * shutdown:
    - support scheduled shutdown via shell wrapper.
         + Thanks: Andras Korn (Closes: #1121135)
    - adjust runit-init symlinks
  * rescan-test: drop psmisc B-D, use 'chpst -l' instead
  * invoke-run: stop using --force-sysv
  * d/copyright: update years
  * d/control: drop redundant rules-requires-root
  * cpsv - generic use:
    - skip services without a proper run file
    - don't test diff when force is used (a, s)
    - use sv.current as default source (CPSV_SOURCE)
    - fix d (diff) in services with log
  * cpsv - user services and service instances:
    - also sync user services with 's'
    - strip @username suffix from user instances (with 'p')
    - fix wrong symlink target in log/run (with 'p')
    - create supervise dirs as symlink for user services too
    - link env to user-runsvdir's env (user services, with 'p')
    - create .meta as directory for user instances, pupulate
      metafiles with symlinks
  * svlogd/run: adapt for user services
  * trigger_sv:
    - early support for user-services
    - upgrade: fix wrong logic in runsvdir detection
  * sv: adjust bash completion
  * cpsv: add bash completion
  * cpsv.8: update
  * autopkgtest testsuite:
     - add test for cpsv (cpsv-test)
     - add test for trigger_sv (trigger-sv)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sun, 11 Jan 2026 16:55:47 +0100

runit (2.2.0-6ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable runit-init, the initscripts and insserv runtime
      dependency are not satisfiable since SysV removal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Oct 2025 19:33:47 +0200

runit (2.2.0-6) unstable; urgency=medium

  * import upstream gcc-15 patches (Closes: #1097826)
  * Revert "temporary use gcc-14"
  * shutdown.c: use systemctl when switching init from systemd
  * Revert "autopkgtest: use 'systemctl reboot' to reboot after
      removing systemd-sysv"; now runit's reboot should work when
      switching from systemd.

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 08 Oct 2025 14:39:49 +0200

runit (2.2.0-5) unstable; urgency=medium

  * getty-run:
      - depends on login (Closes: #1116289)
       + Thanks to Chris Hofstaedtler <zeha@debian.org>
      - fix grep match for console in ttyS0 (Closes: #1110060)
       + Thanks to devspam@moreofthesa.me.uk
  * update-service: fix usage for user-services
  * trigger_sv: skip user services for now
  * ctrlaltdel: update path to stopit flag file
  * runit-init: drop postinst usermerge safety guard
  * try to fix race in testsuite that causes intermittent
     FTBFS in reproducible builds

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 01 Oct 2025 15:14:29 +0200

runit (2.2.0-4ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable runit-init, the initscripts and insserv runtime
      dependency are not satisfiable since SysV removal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 18 Sep 2025 08:41:05 +0200

runit (2.2.0-4) unstable; urgency=medium

  * d/patches:
    - allow runsvchdir to get working directory from env
    - add patches from upstream devground branch
    - rework SIGPWR patch (Closes: #1016787)
    - refresh patch 0021 and 0025
  * add a /etc/runit/pwrfail script to activate SIGPWR
  * runsvchdir and update-service: move from /sbin to /bin
  * cpsv:
     - adapt 'p' for multi-instance services
     - adapt 'p' for user services
     - try to adapt 'd' for multi and user instances
     - create supervise as directory for user services
     - 's': map runit's {multi|user}-instances to systemd and
         sysv conterparts
  * update-service: adapt for user services
  * sysv.override: map runit's multi instance default to sysv
  * bash-completions:
     - update 'sv' for user services/ non-root usage
     - update 'update-service' for user services/ non-root usage
  * temporary build with gcc-14
  * NEWS for runit and runit-init users

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 17 Sep 2025 22:59:44 +0200

runit (2.2.0-3.1ubuntu2) questing; urgency=medium

  * Use gcc-14 for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Aug 2025 12:28:16 +0200

runit (2.2.0-3.1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable runit-init, the initscripts and insserv runtime
      dependency are not satisfiable since SysV removal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Aug 2025 11:57:09 +0200

runit (2.2.0-3.1) unstable; urgency=high

  * Non-maintainer upload.

